package exercicio.cliente;

import exercicio.servidor.*;

import javax.naming.Context;
import javax.naming.InitialContext;
import java.util.Properties;

public class ExemploClient {

    public static void main(String[] args) throws Exception {
        
		// Localizacao do objeto via JNDI
        Properties props = System.getProperties();
        Context ctx = new InitialContext(props);
		
		// Este nome estah definido no arquivo etc/jboss/jboss.xml
        Object obj = ctx.lookup("exercicio/Exemplo");

		// Converte a referencia CORBA em objeto Java
        ExemploHome home = (ExemploHome)
                javax.rmi.PortableRemoteObject.narrow(
                obj, ExemploHome.class);

		// Cria objeto remoto e obtem referencia
        Exemplo exemplo = home.create();

		// Chame os metodos aqui
		System.out.println("A data de hoje  " + exemplo.dataHoje());
		System.out.println("2 + 2 = " + exemplo.soma(2, 2));
		///////////////////////////////

        exemplo.remove();
    }
}

